Renew SAML SP Certificate
Renews the SAML Service Provider certificate to replace an expiring or compromised certificate.
Renews the SAML Service Provider certificate to replace an expiring or compromised certificate.
Authorization
M2MBearerToken AuthorizationBearer <token>
M2M Token for authentication
In: header
Path Parameters
samlApp*string
The SAML App identifier
Response Body
application/json
application/json
application/json
application/json
application/json
curl -X POST "https://api.loginradius.com/v2/manage/custom-providers/saml/my-saml-app/renew-certificate"{
"Id": "507f1f77bcf86cd799439011",
"IsActive": true,
"IsDeleted": false,
"IsIdpInitiated": true,
"DataMap": {
"key1": "value1",
"key2": "value2"
},
"AppId": "507f1f77bcf86cd799439011",
"AppID": 123,
"RelayStateParameter": "relayState",
"Provider": "providerName",
"FriendlyProviderName": "Friendly Provider",
"DefaultLogoutUrl": "https://example.com/logout",
"ServiceProviderACSUrl": "https://example.com/acs",
"SamlServiceProvider": "SAML Service Provider",
"IdpCertificate": {
"Certificate": "certificate",
"Key": "key"
},
"SpCertificate": {
"Certificate": "certificate"
},
"IdentityProvider": {
"Binding": "binding",
"Location": "location",
"LogOut": "logout"
},
"EnableAutoLookUp": true,
"Domain": "example.com",
"ListInInterface": true,
"CreatedDate": "2023-01-01T00:00:00Z",
"LastModifiedDate": "2023-01-02T00:00:00Z"
}{
"Message": "Access Unauthorized",
"Description": "Access Unauthorized, please use valid authorization to access this endpoint.",
"ErrorCode": 6002
}{
"Description": "Security Assertion Markup Language (SAML) configuration is not configured or the resource does not exist.",
"ErrorCode": 7938,
"Message": "SAML configuration not found"
}{
"Description": "Security Assertion Markup Language (SAML) configuration for the provided ProviderName has already been added to your LoginRadius site.",
"ErrorCode": 7939,
"Message": "SAML configuration already exist"
}{
"Message": "Operation failed due to an internal error.",
"Description": "An unknown internal error occurred, please try again in a few minutes or contact your system administrator.",
"ErrorCode": 7909
}Update SAML SP Configuration PUT
Updates an existing Service Provider configuration for a SAML client within the Tenant, identified by the application name.
List OAuth clients GET
Retrieves a comprehensive list of OAuth client configurations for the Tenant, including client IDs, redirect URIs, scopes, and other relevant settings.